Subject: [bug#77826] [PATCH] home: home-gpg-agent-service: add new parameter 'use-keyboxd?'.

From: [email-masked]
Date: Thu, 17 Apr 2025 19:51:40 +0200 (CEST)

‌

H‌ello Gabriel, hello Ludovic,

We can find a little explanation in info gpg2 - GPG Configuration  (4.3 Configuration Files)

'common.conf'

    This is an optional configuration file read by 'gpg' on startup.
     It may contain options pertaining to all components of GnuPG. Its
     current main use is for the "use-keyboxd" option.  If the default
     home directory '~/.gnupg' does not exist, GnuPG creates this
     directory and a 'common.conf' file with "use-keyboxd".

We can see that keyboxd is now the default agent (it replace gpg-agent) for newcomers like me :)  And to be honest i don't know much more.

In my hurry to contribute to Guix i thougth a boolean parameter wil be ok, but looking for an answer at your question shows that it may not be a good idea. Because it is not possible to use gnupg without keyboxd if you don't already have a keyring, and so the false alternative is a no-go.

What may be useful is that it helps having the common.conf in the store. So i will send a correct patch, in case.

Sébastien.   

De : "Gabriel Santos" <[email-masked]>
A : [email-masked],"Ludovic Courtès" <[email-masked]>,"Sébastien Farge" <[email-masked]>,[email-masked]
Envoyé: mercredi 16 Avril 2025 19:44
Objet : Re: [bug#77826] [PATCH] home: home-gpg-agent-service: add new parameter 'use-keyboxd?'.
 
>It’s the first time I hear about keyboxd and the gnupg manual doesn’t
>say much about it. When would you set it to #true?

It's the first time for me too. I tried to look into the Arch wiki[1] (which
is what I read when I'm too lazy for the documentation), and found
no information.

[1]

--
Gabriel Santos